public interface CustomAPIQueryKeyValueOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getKey()
public abstract String getKey()Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The key. |
getKeyBytes()
public abstract ByteString getKeyBytes()Required. Enter the name of the URL Query Parameter (e.g., api_key or token).
string key = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for key. |
getValue()
public abstract String getValue()Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The value. |
getValueBytes()
public abstract ByteString getValueBytes()Required. Enter the API Key or credential value associated with the query parameter.
string value = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for value. |